export type CreateAnimationOptions = {
	/**
	 * 動畫持續時間，單位ms
	 */
	duration ?: number;
	/**
	 * 定義動畫的效果
	 * - linear: 動畫從頭到尾的速度是相同的
	 * - ease: 動畫以低速開始，然後加快，在結束前變慢
	 * - ease-in: 動畫以低速開始
	 * - ease-in-out: 動畫以低速開始和結束
	 * - ease-out: 動畫以低速結束
	 * - step-start: 動畫第壹幀就跳至結束狀態直到結束
	 * - step-end: 動畫壹直保持開始狀態，最後壹幀跳到結束狀態
	 */
	timingFunction ?: string //'linear' | 'ease' | 'ease-in' | 'ease-in-out' | 'ease-out' | 'step-start' | 'step-end';
	/**
	 * 動畫延遲時間，單位 ms
	 */
	delay ?: number;
	/**
	 * 設置transform-origin
	 */
	transformOrigin ?: string;
}