// @ts-nocheck
const hasOwnProperty = Object.prototype.hasOwnProperty
/**
 * 檢查對象或數組是否具有指定的屬性或鍵
 * @param obj 要檢查的對象或數組
 * @param key 指定的屬性或鍵
 * @returns 如果對象或數組具有指定的屬性或鍵，則返回true；否則返回false
 */
export function hasOwn(obj: Object | Array<any>, key: string): boolean {
  return hasOwnProperty.call(obj, key);
}

// 示例
// const obj = { name: 'John', age: 30 };

// if (hasOwn(obj, 'name')) {
//   console.log("對象具有 'name' 屬性");
// } else {
//   console.log("對象不具有 'name' 屬性");
// }
// // 輸出: 對象具有 'name' 屬性

// const arr = [1, 2, 3];

// if (hasOwn(arr, 'length')) {
//   console.log("數組具有 'length' 屬性");
// } else {
//   console.log("數組不具有 'length' 屬性");
// }
// 輸出: 數組具有 'length' 屬性