export default {
	props: {
		// 是否細邊框
		hairline: {
			type: Boolean,
			default: true
		},
		// 按鈕的預置樣式，info，primary，error，warning，success
		type: {
			type: String,
			default: 'info'
		},
		// 按鈕尺寸，large，normal，small，mini
		size: {
			type: String,
			default: 'normal'
		},
		// 按鈕形狀，circle（兩邊為半圓），square（帶圓角）
		shape: {
			type: String,
			default: 'square'
		},
		// 按鈕是否鏤空
		plain: {
			type: Boolean,
			default: false
		},
		// 是否禁止狀態
		disabled: {
			type: Boolean,
			default: false
		},
		// 是否加載中
		loading: {
			type: Boolean,
			default: false
		},
		// 加載中提示文字
		loadingText: {
			type: [String, Number],
			default: ''
		},
		// 加載狀態圖標類型
		loadingMode: {
			type: String,
			default: 'spinner'
		},
		// 加載圖標大小
		loadingSize: {
			type: [String, Number],
			default: 14
		},
		// 開放能力，具體請看uniapp穩定關於button組件部分說明
		// https://uniapp.dcloud.io/component/button
		openType: {
			type: String,
			default: ''
		},
		// 用於 <form> 組件，點擊分別會觸發 <form> 組件的 submit/reset 事件
		// 取值為submit（提交表單），reset（重置表單）
		formType: {
			type: String,
			default: ''
		},
		// 打開 APP 時，向 APP 傳遞的參數，open-type=launchApp時有效
		// 只微信小程序、QQ小程序有效
		appParameter: {
			type: String,
			default: ''
		},
		// 指定是否阻止本節點的祖先節點出現點擊態，微信小程序有效
		hoverStopPropagation: {
			type: Boolean,
			default: true
		},
		// 指定返回用戶信息的語言，zh_CN 簡體中文，zh_TW 繁體中文，en 英文。只微信小程序有效
		lang: {
			type: String,
			default: 'en'
		},
		// 會話來源，open-type="contact"時有效。只微信小程序有效
		sessionFrom: {
			type: String,
			default: ''
		},
		// 會話內消息卡片標題，open-type="contact"時有效
		// 默認當前標題，只微信小程序有效
		sendMessageTitle: {
			type: String,
			default: ''
		},
		// 會話內消息卡片點擊跳轉小程序路徑，open-type="contact"時有效
		// 默認當前分享路徑，只微信小程序有效
		sendMessagePath: {
			type: String,
			default: ''
		},
		// 會話內消息卡片圖片，open-type="contact"時有效
		// 默認當前頁面截圖，只微信小程序有效
		sendMessageImg: {
			type: String,
			default: ''
		},
		// 是否顯示會話內消息卡片，設置此參數為 true，用戶進入客服會話會在右下角顯示"可能要發送的小程序"提示，
		// 用戶點擊後可以快速發送小程序消息，open-type="contact"時有效
		showMessageCard: {
			type: Boolean,
			default: true
		},
		// 額外傳參參數，用於小程序的data-xxx屬性，通過target.dataset.name獲取
		dataName: {
			type: String,
			default: ''
		},
		// 節流，壹定時間內只能觸發壹次
		throttleTime: {
			type: [String, Number],
			default: 0
		},
		// 按住後多久出現點擊態，單位毫秒
		hoverStartTime: {
			type: [String, Number],
			default: 0
		},
		// 手指松開後點擊態保留時間，單位毫秒
		hoverStayTime: {
			type: [String, Number],
			default: 200
		},
		// 按鈕文字，之所以通過props傳入，是因為slot傳入的話
		// nvue中無法控制文字的樣式
		text: {
			type: [String, Number],
			default: ''
		},
		// 按鈕圖標
		icon: {
			type: String,
			default: ''
		},
		// 按鈕圖標大小
		iconSize: {
			type: [String, Number],
			default: ''
		},
		// 按鈕圖標顏色
		iconColor: {
			type: String,
			default: '#000000'
		},
		// 按鈕顏色，支持傳入linear-gradient漸變色
		color: {
			type: String,
			default: ''
		},
		// 自定義按鈕文本樣式
		customTextStyle: {
			type: [Object,String],
			default: ''
		},
		...uni.$uv?.props?.button
	}
}
