export default {
	props: {
		value: {
			type: [String, Number],
			default: ''
		},
		modelValue: {
			type: [String, Number],
			default: ''
		},
		// 是否打開組件
		show: {
			type: Boolean,
			default: false
		},
		// 是否展示頂部的操作欄
		showToolbar: {
			type: Boolean,
			default: true
		},
		// 頂部標題
		title: {
			type: String,
			default: ''
		},
		// 展示格式，mode=date為日期選擇，mode=time為時間選擇，mode=year-month為年月選擇，mode=datetime為日期時間選擇
		mode: {
			type: String,
			default: 'datetime'
		},
		// 可選的最大時間
		maxDate: {
			type: Number,
			// 最大默認值為後10年
			default: new Date(new Date().getFullYear() + 10, 0, 1).getTime()
		},
		// 可選的最小時間
		minDate: {
			type: Number,
			// 最小默認值為前10年
			default: new Date(new Date().getFullYear() - 10, 0, 1).getTime()
		},
		// 可選的最小小時，僅mode=time有效
		minHour: {
			type: Number,
			default: 0
		},
		// 可選的最大小時，僅mode=time有效
		maxHour: {
			type: Number,
			default: 23
		},
		// 可選的最小分鐘，僅mode=time有效
		minMinute: {
			type: Number,
			default: 0
		},
		// 可選的最大分鐘，僅mode=time有效
		maxMinute: {
			type: Number,
			default: 59
		},
		// 選項過濾函數
		filter: {
			type: [Function, null],
			default: null
		},
		// 選項格式化函數
		formatter: {
			type: [Function, null],
			default: null
		},
		// 是否顯示加載中狀態
		loading: {
			type: Boolean,
			default: false
		},
		// 各列中，單個選項的高度
		itemHeight: {
			type: [String, Number],
			default: 44
		},
		// 取消按鈕的文字
		cancelText: {
			type: String,
			default: '取消'
		},
		// 確認按鈕的文字
		confirmText: {
			type: String,
			default: '确认'
		},
		// 取消按鈕的顏色
		cancelColor: {
			type: String,
			default: '#909193'
		},
		// 確認按鈕的顏色
		confirmColor: {
			type: String,
			default: '#3c9cff'
		},
		// 每列中可見選項的數量
		visibleItemCount: {
			type: [String, Number],
			default: 5
		},
		// 是否允許點擊遮罩關閉選擇器
		closeOnClickOverlay: {
			type: Boolean,
			default: true
		},
		// 是否允許點擊確認關閉選擇器
		closeOnClickConfirm: {
			type: Boolean,
			default: true
		},
		// 是否清空上次選擇內容
		clearDate: {
			type: Boolean,
			default: false
		},
		// 圓角
		round: {
			type: [String, Number],
			default: 0
		},
		...uni.$uv?.props?.datetimePicker
	}
}