export default {
	props: {
		// 組件狀態，loadmore-加載前的狀態，loading-加載中的狀態，nomore-沒有更多的狀態
		status: {
			type: String,
			default: 'loadmore'
		},
		// 組件背景色
		bgColor: {
			type: String,
			default: 'transparent'
		},
		// 是否顯示加載中的圖標
		icon: {
			type: Boolean,
			default: true
		},
		// 字體大小
		fontSize: {
			type: [String, Number],
			default: 14
		},
		// 圖標大小
		iconSize: {
			type: [String, Number],
			default: 16
		},
		// 字體顏色
		color: {
			type: String,
			default: '#606266'
		},
		// 加載中狀態的圖標，spinner-花朵狀圖標，circle-圓圈狀，semicircle-半圓
		loadingIcon: {
			type: String,
			default: 'spinner'
		},
		// 加載前的提示語
		loadmoreText: {
			type: String,
			default: '加載更多'
		},
		// 加載中提示語
		loadingText: {
			type: String,
			default: '正在加載...'
		},
		// 沒有更多的提示語
		nomoreText: {
			type: String,
			default: '沒有更多了'
		},
		// 在“沒有更多”狀態下，是否顯示粗點
		isDot: {
			type: Boolean,
			default: false
		},
		// 加載中圖標的顏色
		iconColor: {
			type: String,
			default: '#b7b7b7'
		},
		// 上邊距
		marginTop: {
			type: [String, Number],
			default: 10
		},
		// 下邊距
		marginBottom: {
			type: [String, Number],
			default: 10
		},
		// 高度，單位px
		height: {
			type: [String, Number],
			default: 'auto'
		},
		// 是否顯示左邊分割線
		line: {
			type: Boolean,
			default: false
		},
		// 線條顏色
		lineColor: {
			type: String,
			default: '#E6E8EB'
		},
		// 是否虛線，true-虛線，false-實線
		dashed: {
			type: Boolean,
			default: false
		},
		...uni.$uv?.props?.loadmore
	}
}