export default {
	props: {
		// 是否開啟頂部安全區適配
		safeAreaInsetTop: {
			type: Boolean,
			default: true
		},
		// 固定在頂部時，是否生成壹個等高元素，以防止塌陷
		placeholder: {
			type: Boolean,
			default: false
		},
		// 是否固定在頂部
		fixed: {
			type: Boolean,
			default: true
		},
		// 是否顯示下邊框
		border: {
			type: Boolean,
			default: false
		},
		// 左邊的圖標
		leftIcon: {
			type: String,
			default: 'arrow-left'
		},
		// 左邊的提示文字
		leftText: {
			type: String,
			default: ''
		},
		// 左右的提示文字
		rightText: {
			type: String,
			default: ''
		},
		// 右邊的圖標
		rightIcon: {
			type: String,
			default: ''
		},
		// 標題
		title: {
			type: [String, Number],
			default: ''
		},
		// 背景顏色
		bgColor: {
			type: String,
			default: '#ffffff'
		},
		imgMode: {
			type: String,
			default: 'aspectFill'
		},
		// 標題的寬度
		titleWidth: {
			type: [String, Number],
			default: '400rpx'
		},
		// 導航欄高度
		height: {
			type: [String, Number],
			default: '44px'
		},
		// 左側返回圖標的大小
		leftIconSize: {
			type: [String, Number],
			default: 20
		},
		// 左側返回圖標的顏色
		leftIconColor: {
			type: String,
			default: '#303133'
		},
		// 點擊左側區域(返回圖標)，是否自動返回上壹頁
		autoBack: {
			type: Boolean,
			default: false
		},
		// 標題的樣式，對象或字符串
		titleStyle: {
			type: [String, Object],
			default: ''
		},
		...uni.$uv?.props?.navbar
	}
}