export default {
	props: {
		// 是否展示頂部的操作欄
		showToolbar: {
			type: Boolean,
			default: true
		},
		// 頂部標題
		title: {
			type: String,
			default: ''
		},
		// 彈窗圓角
		round: {
			type: [String, Number],
			default: 0
		},
		// 對象數組，設置每壹列的數據
		columns: {
			type: Array,
			default: () => []
		},
		// 是否顯示加載中狀態
		loading: {
			type: Boolean,
			default: false
		},
		// 各列中，單個選項的高度
		itemHeight: {
			type: [String, Number],
			default: 44
		},
		// 取消按鈕的文字
		cancelText: {
			type: String,
			default: '取消'
		},
		// 確認按鈕的文字
		confirmText: {
			type: String,
			default: '確定'
		},
		// 取消按鈕的顏色
		cancelColor: {
			type: String,
			default: '#909193'
		},
		// 確認按鈕的顏色
		confirmColor: {
			type: String,
			default: '#3c9cff'
		},
		// 文字顏色
		color: {
			type: String,
			default: ''
		},
		// 選中文字的顏色
		activeColor: {
			type: String,
			default: ''
		},
		// 每列中可見選項的數量
		visibleItemCount: {
			type: [String, Number],
			default: 5
		},
		// 選項對象中，需要展示的屬性鍵名
		keyName: {
			type: String,
			default: 'text'
		},
		// 是否允許點擊遮罩關閉選擇器
		closeOnClickOverlay: {
			type: Boolean,
			default: true
		},
		// 是否允許點擊確認關閉選擇器
		closeOnClickConfirm: {
			type: Boolean,
			default: true
		},
		// 各列的默認索引
		defaultIndex: {
			type: Array,
			default: () => [],
		},
		// 是否在手指松開時立即觸發 change 事件。若不開啟則會在滾動動畫結束後觸發 change 事件，只在微信2.21.1及以上有效
		immediateChange: {
			type: Boolean,
			default: true
		},
		...uni.$uv?.props?.picker
	}
}